library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J342=read.csv("PT3-T3.4-J3.4.2.csv",header=TRUE, encoding ="UTF-8")
J342$X[4]="EESTI"
names(J342)=gsub("\\.", " ", names(J342))
levels=reorder(J342$X,J342$`Ei enne ega pandeemia ajal`)
J342=pivot_longer(J342,2:5)
J342$X=as.factor(J342$X)
J342$X=factor(J342$X,levels)
J342$name=as.factor(J342$name)
J342$name=factor(J342$name,levels(J342$name)[order(c(4,2,1,3))])
font=rep(1,27)
font[4]=2

#joonis
ggplot(J342)+
  geom_col(aes(x=X,y=value,fill=name),pos=position_dodge(0.7),width=0.7)+
  scale_fill_manual(values=c("#634988","#6666CC","#bf6900","#f09d00"))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(axis.text.x = element_text(angle = 90,face=font))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("%")







